Server Azure AD Administrators - List By Server
Krijgt een lijst van Azure Active Directory-beheerders op een server.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/administrators?api-version=2025-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
server
|
path | True |
string |
De naam van de server. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De aanvraag is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Gets a list of Azure Active Directory administrator.
Voorbeeldaanvraag
Voorbeeldrespons
{
"value": [
{
"name": "ActiveDirectory",
"type": "Microsoft.Sql/servers/administrators",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/administrators/ActiveDirectory",
"properties": {
"administratorType": "ActiveDirectory",
"azureADOnlyAuthentication": true,
"login": "bob@contoso.com",
"sid": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
"tenantId": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c"
}
}
]
}
Definities
| Name | Description |
|---|---|
|
Administrator |
Een lijst met Active Directory-beheerders. |
|
Administrator |
Type van de serverbeheerder. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Server |
Azure Active Directory administrator. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
AdministratorListResult
Een lijst met Active Directory-beheerders.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Koppeling om de volgende pagina met resultaten op te halen. |
| value |
Matrix met resultaten. |
AdministratorType
Type van de serverbeheerder.
| Waarde | Description |
|---|---|
| ActiveDirectory |
Active Directory |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ServerAzureADAdministrator
Azure Active Directory administrator.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.administratorType |
Type van de serverbeheerder. |
|
| properties.azureADOnlyAuthentication |
boolean |
Azure Active Directory alleen authenticatie ingeschakeld. |
| properties.login |
string |
Aanmeldingsnaam van de serverbeheerder. |
| properties.sid |
string (uuid) |
SID (object-id) van de serverbeheerder. |
| properties.tenantId |
string (uuid) |
Tenant-id van de beheerder. |
| systemData |
Azure Resource Manager metadata met creationBy en modifiedBy informatie. |
|
| type |
string |
Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts" |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
Het tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |